MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029015Open CASCADE[OCCT] OCCT:Testspublic2017-08-18 10:552017-09-29 16:29
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029015: Testdiff - possibility to visualize image differences by toggling
DescriptionCurrently command testdiff generates HTML report showing, for each image differing between the two versions being compared, a row containing these two images and their diff (pixels that differ). Still, in case of minor differences it can be difficult to associate diff pixels shown on the third image with actual images and recognize the nature of the difference.

To make recognition of the difference easier, it is proposed to provide possibility to show the two actual images in the same place and toggle them by user click. This should helps a lot because the human eye will easily see the difference as movement.

Besides, GitHub has similar method to compare images and call it "onion skin", see https://help.github.com/articles/rendering-and-diffing-images/ [^]
Steps To ReproduceClick on a diff image in the testdiff HTML report
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0069562)
git (administrator)
2017-08-18 11:00

Branch CR29015 has been created by abv.

SHA-1: 875111501f070f73874512c12145861913d04179


Detailed log of new commits:

Author: abv
Date: Fri Aug 18 11:00:24 2017 +0300

    0029015: Testdiff - possibility to visualize image differences by toggling
    
    Command testdiff is improved to make HTML elements in the report showing diff images interactive: when user clicks on a diff image by mouse, it triggers between the A and B images.
    The diff image is shown back when the mouse cursor leaves the image.
(0069563)
abv (manager)
2017-08-18 11:02

Improvement is pushed to CR29015, please review and consider for integration. Testing is not needed
(0069839)
apn (administrator)
2017-08-24 14:46

Reviewed, please integrate.
(0069906)
git (administrator)
2017-08-25 16:13

Branch CR29015 has been deleted by kgv.

SHA-1: 875111501f070f73874512c12145861913d04179
(0070047)
git (administrator)
2017-08-29 13:52

Branch CR29015_1 has been created by abv.

SHA-1: 867550ea3a334238c4b48e6a7b1bbf65252705ca


Detailed log of new commits:

Author: abv
Date: Tue Aug 29 13:51:49 2017 +0300

    0029015: Testdiff - possibility to visualize image differences by toggling - correction
    
    Javascript code is corrected to not depend on values of URLs of images
(0070198)
git (administrator)
2017-09-04 18:20

Branch CR29015_1 has been deleted by kgv.

SHA-1: 867550ea3a334238c4b48e6a7b1bbf65252705ca

- Related Changesets
occt: master c231f393
Timestamp: 2017-08-18 08:00:24
Author: abv
Committer: bugmaster
Details ] Diff ]
0029015: Testdiff - possibility to visualize image differences by toggling

Command testdiff is improved to make HTML elements in the report showing diff images interactive: when user clicks on a diff image by mouse, it triggers between the A and B images.
The diff image is shown back when the mouse cursor leaves the image.
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
occt: master 66d61d8a
Timestamp: 2017-08-29 10:51:49
Author: abv
Committer: bugmaster
Details ] Diff ]
0029015: Testdiff - possibility to visualize image differences by toggling - correction

Javascript code is corrected to not depend on values of URLs of images
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-18 10:55 abv New Issue
2017-08-18 10:55 abv Assigned To => apn
2017-08-18 11:00 git Note Added: 0069562
2017-08-18 11:02 abv Note Added: 0069563
2017-08-18 11:02 abv Status new => resolved
2017-08-18 11:02 abv Steps to Reproduce Updated View Revisions
2017-08-24 14:46 apn Note Added: 0069839
2017-08-24 14:46 apn Test case number => Not needed
2017-08-24 14:46 apn Assigned To apn => bugmaster
2017-08-24 14:46 apn Status resolved => reviewed
2017-08-25 15:02 bugmaster Changeset attached => occt master c231f393
2017-08-25 15:02 bugmaster Status reviewed => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069906
2017-08-29 13:52 git Note Added: 0070047
2017-08-31 18:37 bugmaster Changeset attached => occt master 66d61d8a
2017-09-04 18:20 git Note Added: 0070198
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker